#include "Bitmap.h"

class Espace3UC;

void sauve_image_PICT8(char *fichier,unsigned xi,unsigned yi,unsigned xf,unsigned yf);
void sauve_image_PICT24(char *fichier,unsigned xi,unsigned yi,unsigned xf,unsigned yf);
void sauvegarde_image_PICT24(char *fichier,struct espace *e);
void sauvegarde_PICT24_compacte(char *stst,struct espace *e);
struct espace *lecture_image_PICT24(char *fichier);
//struct espace *lecture_PICT24_compacte(char *stst);
Espace3UC *lecture_PICT24_compacte(char *stst);
void lecture_PICT24_compacte(char *stst,struct espace *bt);
unsigned char test_fichier_PICT24(char *fichier);
unsigned char test_fichier_PICT8(char *fichier);
int sauvegarde_entete(int num);
int sauvegarde_entier(int num,unsigned *entier);
int sauvegarde_rectangle(int num,unsigned *xi,unsigned *yi,unsigned *xf,unsigned *yf);
void cherche_ligne_a_l_ecran(int y,unsigned char *p,int xi,int yi,int dx);
void sauvegarde_PICT24_compacte(char *stst,Espace3UC *e);
